<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\PdfListen\TnListen\PrintTnListen;

use Kufer\Web\KuferTools\Basis\PdfListen\TnListen\PrintTnListen\PrintTnListenRequest;


abstract class PrintTnListenController extends \Kufer\Web\KuferTools\Basis\PdfListen\PrintPdfListen\PrintPdfListenController
{
  protected function getId()
  {
    return \GetOperations::getVarValue('nr');
  }

  protected function createRequestObj()
  {
    return new PrintTnListenRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->ktVon = \RequestOperations::getVarValue('kt_von');
    $requestObj->ktBis = \RequestOperations::getVarValue('kt_bis');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new PrintTnListenPresenter($pUseCaseResponse);
  }
}